Name:		HEP_OSlibs
Version:	7.0.1
Release:	0%{?dist}
Summary:	HEP OS dependencies for CentOS7 x86_64
Group:  	System/Middleware
License:	Open Source
ExclusiveArch:  x86_64

Requires: alsa-lib(x86-32), alsa-lib(x86-64), bzip2-devel(x86-32), bzip2-devel(x86-64), compat-db(x86-64), compat-glibc-headers(x86-64), compat-libf2c-34(x86-32), compat-libf2c-34(x86-64), compat-libgfortran-41(x86-32), compat-libgfortran-41(x86-64), compat-libstdc++-33(x86-32), compat-libstdc++-33(x86-64), compat-openldap(x86-32), compat-openldap(x86-64), e2fsprogs-libs(x86-32), freetype-devel(x86-32), freetype-devel(x86-64), gamin(x86-32), gamin(x86-64), gcc-c++(x86-64), gdbm(x86-32), giflib(x86-32), giflib(x86-64), glibc-devel(x86-32), glibc-devel(x86-64), glibmm24(x86-64), gmp(x86-32), krb5-devel(x86-64), libaio(x86-32), libaio(x86-64), libdrm-devel(x86-32), libdrm-devel(x86-64), libgfortran(x86-32), libgfortran(x86-64), libidn(x86-32), libpng-devel(x86-32), libpng-devel(x86-64), libsepol(x86-32), libtiff(x86-32), libtool-ltdl(x86-32), libtool-ltdl(x86-64), libtool(x86-64), libuuid-devel(x86-32), libuuid-devel(x86-64), libX11-devel(x86-32), libX11-devel(x86-64), libXau-devel(x86-32), libXau-devel(x86-64), libxcb-devel(x86-32), libxcb-devel(x86-64), libXcursor(x86-32), libXcursor(x86-64), libXdamage-devel(x86-32), libXdamage-devel(x86-64), libXdmcp-devel(x86-32), libXdmcp-devel(x86-64), libXext-devel(x86-32), libXext-devel(x86-64), libXfixes-devel(x86-32), libXfixes-devel(x86-64), libXft-devel(x86-64), libXinerama(x86-32), libXinerama(x86-64), libxml2-devel(x86-32), libxml2-devel(x86-64), libXmu(x86-32), libXmu(x86-64), libXpm-devel(x86-64), libXpm(x86-32), libXp(x86-32), libXp(x86-64), libXrandr(x86-32), libXrandr(x86-64), libXtst(x86-32), libXtst(x86-64), libXxf86vm-devel(x86-32), libXxf86vm-devel(x86-64), mesa-dri-drivers(x86-32), mesa-dri-drivers(x86-64), mesa-libGL-devel(x86-32), mesa-libGL-devel(x86-64), mesa-libGLU-devel(x86-32), mesa-libGLU-devel(x86-64), ncurses-devel(x86-32), ncurses-devel(x86-64), openldap(x86-32), openssl098e(x86-32), openssl098e(x86-64), perl-CGI, perl-ExtUtils-Embed, tk(x86-32), tk(x86-64), zsh(x86-64)

%description
This rpm captures the OS dependencies of the LHC experiment applications on
CentOS7/x86_64. The package has been put together with the help of the WLCG 
Application Area and of the WLCG Operations task forces and aims to cover 
the dependencies of all four LHC experiments. This CentOS7 version has been 
derived from the analogous metapackage for SL6.

%files
%defattr(-,root,root,-)
%doc

%changelog

* Thu Oct 02 2014 Andrea Valassi 7.0.1-0
Add perl-CGI and perl-ExtUtils-Embed (requested by CMS for SL6) using CentOS7
compatible syntax. Require 93 packages (46 x86_64, 45 x86_32, 2 noarch). 

* Wed Oct 01 2014 Andrea Valassi 7.0.0-0
First stable version with 91 packages (46 for x86_64, 45 for x86_32). 
Removed CentOS7 from the library name and renumbered as version 7.0.0.
Derived from the SL6 version, after removing packages that do not exist
in CERN CentOS7, packages that are already installed in CERN CentOS7,
and packages that are pulled in as dependencies of others in this metarpm.
